Bug 913117 - HornetQ native library(AIO) are loaded by default - for transaction manager using hornetq object store
Summary: HornetQ native library(AIO) are loaded by default - for transaction manager u...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Transaction Manager
Version: 6.0.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER2
: EAP 6.2.0
Assignee: Ivo Studensky
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-20 12:24 UTC by Ondrej Chaloupka
Modified: 2013-12-15 16:15 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-12-15 16:15:14 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker AS7-6768 Major Resolved HornetQ native library(AIO) are loaded by default - for transaction manager using hornetq object store 2013-12-17 01:30:22 UTC
JBoss Issue Tracker JBTM-1480 Major Closed On using hornetq object store native libraries are loaded automatically - it should be configurable 2013-12-17 01:30:22 UTC

Description Ondrej Chaloupka 2013-02-20 12:24:27 UTC
It seems that in case that of using hornetq for implementation of object store (configuration of transaction subsystem via <use-hornetq-store/> tag) the native library (AIO) is used automatically without necessity of user confirmation.

For EAP 6.0.1 was decided that native library can't be used without explicit customer configuration request. Please check discussion on bug #900591.
The NIO should be used until customer defined otherwise.

The configuration option is missing in TM and after the adding it the EAP configuration should reflect fact that the default behaviour should be NIO.

Comment 1 Ondrej Chaloupka 2013-02-20 14:03:48 UTC
The messaging subsystem defines element journal-type that defines the type of library which will be used. Possible values are ASYNCIO and NIO.

<subsystem xmlns="urn:jboss:domain:messaging:1.2">
  <hornetq-server>
    <journal-type>ASYNCIO</journal-type>
    ...

For transaction subystem would be probably necessary to enhance schema. The transactions use element use-hornetq-store where would be fine to have possibility to define (as subelement or parameter) the type of libraries that will be used.

Comment 2 tom.jenkinson 2013-03-06 08:01:10 UTC
Jira here: https://issues.jboss.org/browse/JBTM-1480

Comment 3 JBoss JIRA Server 2013-03-21 11:27:31 UTC
Ivo Studensky <istudens@redhat.com> made a comment on jira JBTM-1480

New configuration attribute 'boolean asyncIO' has been added to the HornetqJournalEnvironmentBean. The default value is true to keep the origin behavior.

Comment 4 JBoss JIRA Server 2013-03-21 14:26:44 UTC
Ivo Studensky <istudens@redhat.com> made a comment on jira AS7-6768

The fix is available at 

https://github.com/istudens/jboss-as/tree/AS7-6768

Comment 5 JBoss JIRA Server 2013-03-22 15:09:20 UTC
Ivo Studensky <istudens@redhat.com> made a comment on jira JBTM-1480

Adding two another PRs for a small fix in the docs.

Comment 6 JBoss JIRA Server 2013-04-02 14:38:30 UTC
Ivo Studensky <istudens@redhat.com> made a comment on jira JBTM-1480

PRs have been merged.

Comment 7 JBoss JIRA Server 2013-05-30 13:24:14 UTC
Paul Robinson <paul.robinson@redhat.com> updated the status of jira JBTM-1480 to Closed

Comment 8 Ivo Studensky 2013-06-28 12:26:19 UTC
Moving this BZ to 6.2.0 as it changes the default behaviour of the server and introduces a new version of the schema of transaction subsystem. Because of these reasons it does not seem to belong to 6.1.1 release.

Comment 10 Ondrej Chaloupka 2013-09-23 11:45:32 UTC
Verified for EAP 6.2.0.ER2


Note You need to log in before you can comment on or make changes to this bug.